bool IsPrime(int num) 
{
  int factor = 2;
  // a very slow way to compute
  do 
    {
      if ((num % factor) == 0) 
	{ return false;	}
      factor ++;
    } while (factor < num);
  return true;
}

long TotalPrime(long maxValue) 
{
  long sum = 0;
  if (maxValue <= 1) { return 0; } // no prime number
  if (maxValue == 2) { return 1; } // 2 is prime
  if (maxValue >= 3) { sum = 2; }  // 2 and 3 are prime
  for (int curNum = 4; curNum <= maxValue; curNum ++) 
    {
      if (IsPrime(curNum) == true) 
	{ sum ++;  }
    }
  return sum;
}
