//ClientSocket.h

#ifndef CLIENTSOCKET_H
#define CLIENTSOCKET_H
#include <QtGui>
#include <QtNetwork>
#include <QTcpServer>
#include <string>
using namespace std;

class ClientSocket : public QObject {
    Q_OBJECT
    string wwwName;
    QTcpSocket* socket;
    string constructHttpRequest();
public:
    ClientSocket( string name );
    ~ClientSocket();
public slots:
    void reportConnected();                                
    void reportHostFound();                                
    void getWebPage();                                     
    void socketConnectionClosed();                         
};

#endif
